﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EcoMvcExample.MvcWebsite.Controllers.ViewData
{
    /// <summary>
    /// This class would store common data that may need to be passed to many views.
    /// I would then use this class to inherit from if I need to provide additional
    /// data to other views.
    /// </summary>
    public class CommonViewData: System.Web.Mvc.ViewDataDictionary
    {
        private bool FCanCreateTasks = false;

        public bool CanCreateTasks
        {
            get
            {
                return FCanCreateTasks;
            }

            set
            {
                if (FCanCreateTasks != value)
                    FCanCreateTasks = value;
            }
        }
    }
}
